%define section free

Summary:        Internet protocol suite Java library
Name:           netcomponents
Version:        1.3.8
Release:        4jpp_2rh
Epoch:          0
License:        LGPL
Group:          Development/Libraries/Java
Source:         http://www.savarese.org/downloads/NetComponents/NetComponents-1.3.8-src.tar.gz
URL:            http://www.savarese.org/java/
BuildRequires:  ant, jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Vendor:         JPackage Project
#Distribution:   JPackage

%description
NetComponents, is an Internet protocol suite Java library originally
developed by ORO, Inc.  This version supports Finger, Whois, TFTP,
Telnet, POP3, FTP, NNTP, SMTP, and some miscellaneous protocols like
Time and Echo as well as BSD R command support.  The purpose of the
library is to provide fundamental protocol access, not higher-level
abstractions.  Therefore, some of the design violates object-oriented
design principles.  Our philosophy is to make the global functionality
of a protocal accesible (e.g., TFTP send file and receive file) when
possible, but also provide access to the fundamental protocols where
applicable so that the programmer may construct his own custom
implementations (e.g, the TFTP packet classes and the TFTP packet
send and receive methods are exposed).

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n NetComponents-%{version}

# -----------------------------------------------------------------------------

%build
ant jar javadocs

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jar
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/NetComponents-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc CHANGES README COPYRIGHT LICENSE
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Mon Nov 22 2004 Fernando Nasser <fnasser@redhat.com> 0:1.3.8-4jpp_2rh
- Rebuild

* Mon Mar  8 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.3.8-4jpp_1rh
- RH vacuuming

* Mon May  5 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.3.8-4jpp
- Fix non-versioned javadoc symlinking.

* Tue Apr 22 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.3.8-3jpp
- Rebuild for JPackage 1.5.
- Include non-versioned javadoc symlink.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Fix Group tags.
- Add Vendor and Distribution tags.

* Tue Apr 30 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.8-2jpp
- first *real* jpp release
- group tag
- distribution tag

* Tue Feb 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.8-1jpp
- first jpp release
